Bug 849897 - [abrt] luma-2.4-10.fc17: PluginLoader.py:84:importPluginMetas:TypeError: 'NoneType' object is not iterable
[abrt] luma-2.4-10.fc17: PluginLoader.py:84:importPluginMetas:TypeError: 'Non...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: luma (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
abrt_hash:0bba1f4a3b06c8df305abe93dc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 03:51 EDT by Peter Ludikovsky
Modified: 2013-07-31 21:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:21:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ludikovsky 2012-08-21 03:51:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /bin/luma
executable:     /bin/luma
kernel:         3.5.2-1.fc17.x86_64
time:           Tue 21 Aug 2012 09:49:02 AM CEST
uid:            1000
username:       lup

backtrace:
:PluginLoader.py:84:importPluginMetas:TypeError: 'NoneType' object is not iterable
:
:Traceback (most recent call last):
:  File "/bin/luma", line 70, in <module>
:    startApplication()
:  File "/bin/luma", line 44, in startApplication
:    gui.loadPlugins(splash)
:  File "/usr/share/luma/lib/base/gui/MainWin.py", line 186, in loadPlugins
:    pluginObject = PluginLoader(self.checkToLoad())
:  File "/usr/share/luma/lib/base/backend/PluginLoader.py", line 53, in __init__
:    self.importPluginMetas(pluginsToLoad)
:  File "/usr/share/luma/lib/base/backend/PluginLoader.py", line 84, in importPluginMetas
:    for x in self.pluginDirList:
:TypeError: 'NoneType' object is not iterable
:
:Local variables in innermost frame:
:pluginsToLoad: 'ALL'
:self: <base.backend.PluginLoader.PluginLoader object at 0x7f6707270110>

comment:
:Installed luma using
: sudo yum install luma
:and started it from a terminal window using
: luma

smolt_data:
:
:
:General
:=================================
:UUID: 98d92053-ee20-46a8-b1da-4067478f674c
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5054.38
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P9600  @ 2.53GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2535
:System Memory: 3843
:System Swap: 4095
:Vendor: Dell Inc.
:System: Latitude E4300 
:Form factor: Portable
:Kernel: 3.5.2-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:2082:4136:589) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10816:4136:589) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(4480:2098:4136:589) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10544:4136:589) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10282:4136:589) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:10519:4136:589) pci, lpc_ich, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:589) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:16949:32902:4385) pci, iwlwifi, NETWORK, Ultimate N WiFi Link 5300
:(32902:9288:4136:589) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10566:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10549:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:589) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10818:4136:589) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4136:589) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:589) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10820:4136:589) pci, mei, SIMPLE, Mobile 4 Series Chipset MEI Controller
:(32902:10823:4136:589) pci, serial, 16550_SERIAL, Mobile 4 Series Chipset AMT SOL Redirection
:(32902:10822:4136:589) pci, ata_generic, STORAGE, Mobile 4 Series Chipset PT IDER Controller
:(32902:10551:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:589) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10558:4136:589) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/lup--lap-root / ext4 4096 4096 5160607 3816203 3763783 1310720 1154219 1154219
:/dev/mapper/lup--lap-home /home ext4 4096 4096 18062162 6231889 5361576 4587520 4385660 4385660
:
Comment 1 jason 2012-12-06 11:46:02 EST
attempted to launch "luma"

Package: luma-2.4-10.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 2 Fedora End Of Life 2013-07-03 19:01:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 21:21:25 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.